//ALOCATJ1 JOB SIMOTIME,CLASS=1,MSGCLASS=0,NOTIFY=CSIP1
//* *******************************************************************
//*       ALOCATJ1.JCL - a JCL Member for Batch Job Processing        *
//*       This JCL Member is provided by SimoTime Technologies        *
//*           (C) Copyright 1987-2016 All Rights Reserved             *
//*             Web Site URL:   http://www.simotime.com               *
//*                   e-mail:   helpdesk@simotime.com                 *
//* *******************************************************************
//*
//* Text   - Create Sequential Data Sets on disk using IEBGENER.
//* Author - SimoTime Technologies
//* Date   - January 24, 1996
//*
//* The first job step (QSAMDELT) will delete any previously created
//* file.
//*
//* The second job step (QCRTDIN1) will create a new file and place
//* the physical file into the alternate directory defined in the
//* configuration file identified by the ES_ALLOC_OVERRIDE
//* environment variable.
//*
//* The third job step (QCRTDIN2) will create a new file and place
//* the physical file into the default directory defined within
//* Enterprise Server.
//*
//* This set of programs will run on a mainframe under MVS or on a
//* Personal Computer with Windows and Micro Focus Mainframe Express.
//*
//* *******************************************************************
//* Step 1 of 3, Delete any previously created files...
//*
//QSAMDELT EXEC PGM=IEFBR14
//FILEWRK1 DD  DSN=SIMOTIME.WRK1.ALOCATDD,DISP=(MOD,DELETE,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,DSORG=PS)
//FILEWRK2 DD  DSN=SIMOTIME.WRK2.ALOCATDD,DISP=(MOD,DELETE,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,DSORG=PS)
//*
//* *******************************************************************
//* Step 2 of 3, Create and populate a new QSAM file...
//*
//QCRTDIN1 EXEC PGM=IEBGENER
//SYSPRINT DD  SYSOUT=*
//SYSIN    DD  DUMMY
//* :....1....:....2....:....3....:....4....:....5....:....6....:....7.
//SYSUT1   DD  *
11**********************************************
12***  This is a test for ES_ALLOC_OVERRIDE  ***
13**********************************************
/*
//SYSUT2   DD  DSN=SIMOTIME.WRK1.ALOCATDD,
//             DISP=(NEW,CATLG,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,BLKSIZE=800,DSORG=PS)
//*
//* *******************************************************************
//* Step 3 of 3, Create and populate a new QSAM file...
//*
//QCRTDIN2 EXEC PGM=IEBGENER
//SYSPRINT DD  SYSOUT=*
//SYSIN    DD  DUMMY
//* :....1....:....2....:....3....:....4....:....5....:....6....:....7.
//SYSUT1   DD  *
21**********************************************
22***  This is a test for ES_ALLOC_OVERRIDE  ***
23**********************************************
/*
//SYSUT2   DD  DSN=SIMOTIME.WRK2.ALOCATDD,
//             DISP=(NEW,CATLG,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,BLKSIZE=800,DSORG=PS)
//
